--This is the internal name of the mod.
local XBARMOD="XTrackBar";
local dbver="3";

local ForceTexture;

--Default settings and other info about the mod
XBarCore.ModData[XBARMOD]={
	----REQUIRED VALUES----
	["nbuttons"]=0,
	["dbver"]=dbver,
	["dhorizontal"]=true,
	["dhidebar"]=false,
	["dorder"]="az",
	["dscale"]=1,
	["dtooltips"]=true,
	["enabled"]=true,
	["nchecks"]=0,
	["wrappable"]=false,
	["sortable"]=true,
	["ftexint"]=XBARMOD.."_Texture", --< Have to have a custom Texture Interrupt
	["fbuttonid"]="XBar_StdButtonID",
	["foptioncb"]="XBar_StdOptionCB",
};

function XTrackBar_OnLoad()
	--Each bar must catch its own event notifications
	this:RegisterEvent("SPELLS_CHANGED");
	this:RegisterEvent("SPELL_UPDATE_COOLDOWN");
	this:RegisterEvent("PLAYER_ENTERING_WORLD");
	this:RegisterEvent("UNIT_AURA");
	this:RegisterEvent("ACTIONBAR_UPDATE_USABLE");
end

function XTrackBar_OnEvent(event,arg1)
	ForceTexture=nil;
	-- Need to do some special stuff here
	if (event=="UNIT_AURA") and (arg1=="player") then
		-- Catch the event so we know which one to put up there.
		local icon = GetTrackingTexture();
		if (icon) then
			ForceTexture=icon;
			XBarCore.UpdateCooldowns(XBARMOD);
		else
			ForceTexture="";
		end
	else
		XBar_StdEventHandler(XBARMOD,event,arg1);	
	end
end

function XTrackBar_Texture(texture, spellname)
	local t=texture;

	-- Will highlight any tracking textures the player has
	if (ForceTexture==texture) then
		t = "Interface\\Icons\\Spell_Nature_WispSplodeGreen";
	elseif ((ForceTexture==nil) and (GetTrackingTexture()==texture)) then
		-- We have not caught an aura-update event yet
		t = "Interface\\Icons\\Spell_Nature_WispSplodeGreen";
	end
	
	return t;
end